Bug 1124405 - [abrt] gnome-shell: XQueryExtension(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: XQueryExtension(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f89b0290c9daca6303159139a60...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 12:38 UTC by sangu
Modified: 2015-12-02 16:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:19:20 UTC


Attachments (Terms of Use)
File: backtrace (98.04 KB, text/plain)
2014-07-29 12:38 UTC, sangu
no flags Details
File: cgroup (191 bytes, text/plain)
2014-07-29 12:38 UTC, sangu
no flags Details
File: core_backtrace (23.00 KB, text/plain)
2014-07-29 12:38 UTC, sangu
no flags Details
File: dso_list (25.78 KB, text/plain)
2014-07-29 12:38 UTC, sangu
no flags Details
File: environ (775 bytes, text/plain)
2014-07-29 12:38 UTC, sangu
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-29 12:38 UTC, sangu
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-29 12:38 UTC, sangu
no flags Details
File: maps (108.02 KB, text/plain)
2014-07-29 12:38 UTC, sangu
no flags Details
File: open_fds (5.19 KB, text/plain)
2014-07-29 12:38 UTC, sangu
no flags Details
File: proc_pid_status (949 bytes, text/plain)
2014-07-29 12:38 UTC, sangu
no flags Details
File: var_log_messages (17.45 KB, text/plain)
2014-07-29 12:38 UTC, sangu
no flags Details

Description sangu 2014-07-29 12:38:14 UTC
Description of problem:
While using gnome-shell activities in wayland

Version-Release number of selected component:
gnome-shell-3.13.4-2.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell --wayland --display-server
crash_function: XQueryExtension
executable:     /usr/bin/gnome-shell
kernel:         3.16.0-0.rc6.git0.1.fc21.1.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 XQueryExtension at QuExt.c:43
 #1 XInput_find_display at /lib64/libXi.so.6
 #2 XIUngrabDevice at /lib64/libXi.so.6
 #3 ffi_call_unix64 at /lib64/libffi.so.6
 #4 ffi_call at /lib64/libffi.so.6
 #5 ?? at /lib64/libgjs.so.0
 #6 ?? at /lib64/libgjs.so.0
 #7 js::Invoke(JSContext*, JS::CallArgs, js::MaybeConstruct) at /lib64/libmozjs-24.so
 #8 Interpret(JSContext*, js::RunState&) at /lib64/libmozjs-24.so
 #9 js::RunScript(JSContext*, js::RunState&) at /lib64/libmozjs-24.so

Comment 1 sangu 2014-07-29 12:38:17 UTC
Created attachment 922137 [details]
File: backtrace

Comment 2 sangu 2014-07-29 12:38:18 UTC
Created attachment 922138 [details]
File: cgroup

Comment 3 sangu 2014-07-29 12:38:20 UTC
Created attachment 922139 [details]
File: core_backtrace

Comment 4 sangu 2014-07-29 12:38:24 UTC
Created attachment 922140 [details]
File: dso_list

Comment 5 sangu 2014-07-29 12:38:26 UTC
Created attachment 922141 [details]
File: environ

Comment 6 sangu 2014-07-29 12:38:27 UTC
Created attachment 922142 [details]
File: exploitable

Comment 7 sangu 2014-07-29 12:38:28 UTC
Created attachment 922143 [details]
File: limits

Comment 8 sangu 2014-07-29 12:38:30 UTC
Created attachment 922144 [details]
File: maps

Comment 9 sangu 2014-07-29 12:38:31 UTC
Created attachment 922145 [details]
File: open_fds

Comment 10 sangu 2014-07-29 12:38:32 UTC
Created attachment 922146 [details]
File: proc_pid_status

Comment 11 sangu 2014-07-29 12:38:33 UTC
Created attachment 922147 [details]
File: var_log_messages

Comment 12 Vadim Rutkovsky 2014-08-27 14:24:06 UTC
Another user experienced a similar problem:

Crashed in wayland session on switching language via top panel widget. Reproducible

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell --wayland --display-server
crash_function: XQueryExtension
executable:     /usr/bin/gnome-shell
kernel:         3.16.1-300.fc21.x86_64
package:        gnome-shell-3.13.90-1.fc21
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Fedora End Of Life 2015-11-04 15:13:45 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-12-02 03:19:24 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.